# List a member's credits

Returns all credits for one customer. API key is used to match the customer to your account for security reasons. Ensure that the customer ID is included in the request path.
Pagination is supported by passing limit and lastCreditEntry values as query parameters. You will get a lastCreditEntry value in the response of the previous request, which can be used for the next. Ensure that the lastCreditEntry value passed to the server is  encoded.

Endpoint: GET /v2.0/admin/members/{id}/credits
Version: 2.0.0
Security: api_key

## Security:

  - `api_key` (unknown)
    apiKey in header X-Inveterate-Api-Key

## Path parameters:

  - `id` (string, required)
    The customer ID number.

## Query parameters:

  - `limit` (number)
    The number of credits to return (for pagination).

  - `lastCreditEntry` (string)
    The last credit entry from the previous request.

## Response 200:

  - `200` (unknown)
    Returned upon successful direct action to our database. Action is immediate.

## Response 200 fields (application/json):

  - `message` (string, required)
    The message associated with the response. Generally, the message only confirms the requested action. In the case of errors, the message will give insight into the source of the error.

  - `data` (object, required)
    The data associated with the response. Data is only returned from errors if the error originates from our backend to give further insight into the nature of the error.

## Response 400:

  - `400` (unknown)
    Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.

## Response 400 fields (application/json):

  - `message` (string, required)
    The message associated with the response. Generally, the message only confirms the requested action. In the case of errors, the message will give insight into the source of the error.

  - `data` (object, required)
    The data associated with the response. Data is only returned from errors if the error originates from our backend to give further insight into the nature of the error.

## Response 500:

  - `500` (unknown)
    Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.

## Response 500 fields (application/json):

  - `message` (string, required)
    The message associated with the response. Generally, the message only confirms the requested action. In the case of errors, the message will give insight into the source of the error.

  - `data` (object, required)
    The data associated with the response. Data is only returned from errors if the error originates from our backend to give further insight into the nature of the error.

